Table of Contents

Class: PathReferenceAcquisitionContext | Twisted-0.17.4/twisted/spread/refpath.py
--- | ---

Base Classes |
--- | ---
PathReferenceContext

Methods |
--- | ---
_lookup acquire locate parentRef
| _lookup

    _lookup (
            self,
            name,
            acquire=0,
            )

Exceptions |
--- | ---
AttributeError, "%s not found." % name

| acquire

    acquire ( self,  name )

Look for an attribute or element by name in all of our parents

| locate

    locate ( self,  name )

Get a reference to an object with the given name which is somewhere on the path above us.

| parentRef

    parentRef ( self )

Return a reference to my parent.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:32 2002 by HappyDoc version 2.0